### Method

# Camel FolderThreadNode get_item

since: 3.58

#### Declaration [src]

    gpointer
    camel_folder_thread_node_get_item (
      CamelFolderThreadNode* self
    )

#### Description [src]

Gets associated data with the `self`. The actual type of the item depends on the way the `self` was created. For the `camel_folder_thread_new()` it’s a `CamelMessageInfo`, for the `camel_folder_thread_new_items()` it’s the member of the used items array.

Available since: 3.58

#### Return value

Type: `gpointer`

Associated data with the `self`.

The returned data is owned by the instance.
The return value can be `NULL`.